## python-accuweather 3.0.0

=== requirements.txt ===
aiohttp>=3.7.0
orjson

=== debian/changelog ===
python-accuweather (3.0.0-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Jul 2024 06:51:01 +0200

python-accuweather (3.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1076947)

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2024 09:45:44 +0200

=== debian/control ===
Source: python-accuweather
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aioresponses,
 python3-mypy,
 python3-orjson,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-timeout,
 python3-syrupy,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-accuweather
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-accuweather.git
Homepage: https://github.com/bieniu/accuweather

Package: python3-accuweather
Architecture: all
Depends:
 python3-aiohttp,
 python3-orjson,
 ${misc:Depends},
 ${python3:Depends},
Description: wrapper for getting weather data from AccuWeather API
 This package is a python wrapper for getting weather data from the AccuWeather
 HTTP API. One needs to generate an API key at the AccuWeather site at
 https://developer.accuweather.com/user/register, and after registration it is
 possible to use the API.
 .
 This package is a dependency for Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/bieniu/accuweather
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/accuweather/accuweather-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
